
Alteration log for apa.cls (v1.3.4, December 2008)

1.00 --> 1.01
July 5, 1996:    \r@headl now defaults to \r@headr in [doc] (used to complain)

1.01 --> 1.02
October 28, 1996:Changed \rhead to \markright in [doc]

1.02 --> 1.1
July 15, 1997:   Removed citation section, loading apacite.sty instead
                 Added three and four authors/affiliations
                 Added bibliographystyle{apacite}

August 20, 1997: Removed call to twocolumn.sty (not needed in 2e)
                 Added notimes and nosf options for jou and man, respectively
                 Changed \typeout to \ClassWarning where appropriate
                 Set \textfraction to 0 for the man mode

August 21, 1997: Fixed date stamp on previous alteration :-) and in the
                 \ProvidesClass command.
                 Changed author size in jou from \Large to \large
                 Added \journal, \volume, \ccoppy, \copnum for first page header

August 22, 1997: Changed \footnoterule to be \columnwidth wide
                 Moved author, title, etc. checking (& warnings) to a single block
                 Added appropriate behavior for undefined abstracts in doc & man
                 Removed line numbers from warnings about missing title, author, etc.
                 Added check for matching number of authors/affiliations

October 30, 1997: Fix version to 1.1 and upload to CTAN

1.1 --> 1.2
December 16, 1997: Changed \evensidemargin from -0.15in to -0.1in to match \oddsidemargin

May 15, 1998:    In man mode, do not print a footnote page if no footnotes exist
                 Changed footnoterule length back to 0.5in as seen in latest JEP:HPP
                 Used ftnright in jou (if available) so that all footnotes appear
                   under the right column (canceling other appeareance changes in ftnright)
                 Used fancyhdr to display journal etc. at the header of the first page
                 Added conditional compilation macros: \ifapamodeman{}{}, \ifapamodejou{}{},
                  and \ifapamodedoc{}{} (first parameter when true, second when false); also
                  \ifapamode{}{}{} with separate options for man, jou, and doc mode.

May 18, 1998:    Added \fitfigure for loading eps files and automatically determine dimensions
                  by trying width=\columnwidth and switching to height=\textheight if the result
                  is too high. In man mode it rotates the figure if width is greater than height.

May 19, 1998:    Adjusted skips above and below captions separately for tables and figures
                 Added \fitbitmap that doesn't scale eps in man mode (as \fitfigure does).
                 Will load pslatex instead of times and mathptm if available

May 20, 1998:    Changed \columnwidth to \linewidth within \fitfigure nad \fitbitmap to handle
                  double-column figures (thanks to Donald Arseneau and Heiko Oberdiek)

May 27, 1998:    Defined \put@one@authaffil and \put@two@authaffil to unclutter \maketitle 
                  in jou mode.
                 Copied the footnotemark definitions from article.cls and adjusted dimensions
                 Adjusted sizes, distances, and dimensions of all sorts in jou mode

June 3, 1998:    When two author-affiliation boxes are displayed side by side and one is wider
                  than \columnwidth but not by more than 25 then no lines are broken and
                  \hfill is used to separate the two boxes from each other and from the margins
                  provided that at least .4in of ``breathing space'' is left between the two
                  (thanks to Donald Arsenau for suggesting the use of tabular)

                 Thanks to Mike Tarr for testing and for suggesting features

June 10, 1998:   Checked and adjusted dimensions in jou format
                 Implemented the fignum option that prints the short title and the figure
                  number in the header of figure pages in man mode
                 Defined \thickline for horizontal separator between caption and table
                 Made footnote separators (and ack box rule separator) thinner in all modes

June 12, 1998:   Set tabular to occupy the full \linewidth in jou mode
                 Option notab can be specified to override this and revert to standard tabular

June 13, 1998:   Freeze features and call it a beta.

July 28, 1998:   Fix version to 1.2, rename .doc files to .txt, and upload to CTAN
                 (version datestamp is 8/1/98)

1.2 --> 1.21
August 1, 1998:  Added nobf option to have section headers displayed in regular (not bold) 
                 weight (effective in man mode only)

August 3, 1998:  Set endnotes ragged-right in man (thanks to Bob Damber for noticing)
                 Left-flushed figure captions and underlined period after ``Figure'' in man

1.21 --> 1.22
September 2, 1998: Set running head (lowercase `h') on title page of man mode to flush left 

1.22 --> 1.23
January 5, 1999: Fixed bug in \headinglevels (thanks to John Vokey for pointing it out)

January 13,1999: Included all options in the class warning message on unknown option

January 27,1999: Changed \rlap to \hbox in \@makefnmark (thanks to Michael Erickson)

February 9,1999: Added vertical fill around included figures in man mode (fitfigure,fitbitmap)
                 Added \long to the conditional compilation (mode checking) definitions

April 18,1999:   Pass unknown options on to article.cls (thanks to Robin Fairbairns)

June 1, 1999:    Fix version to 1.23 and upload to CTAN (version datestamp is 5/1/99)

1.23 --> 1.24
March 10, 2000:  Save regular \footnote definition to \oldfootnote before changing to 
                 \endnote and restore after printing endnotes so that footnotes in the
                 tables will appear correctly in man mode (thanks to Franck Ramus for 
                 pointing out the problem).

                 Defined \tabfnm and \tabfnt to create footnote marks in tables without
                 messing up vertical alignment (centering).  Used with a single argument,
                 the footnote mark (e.g., \tabfnm{a} in the tabular environment and 
                 \tabfnt{a}{blabla} right before or after \end{tabular} for the note text.

July 17, 2000:   Added second set of braces around \em in cap@style to get citations in
                 table captions in man mode (thanks to John Vokey for noticing)

                 Added @dummy@box with an accented character so that the first accent does
                 not occur inside a citation, because in that case LaTeX complains
                 (recent distributions only, something about apacite+OT1 -- babel bug?)

July 18,2000     Added Michael Erickson's patch to handle appendix section & float numbering
                 Revised and set default to one unnumbered appendix for backwards compatibility

July 27,2000     Added floatmark option for those who still want figure and table in-text 
                 markers ("Insert table/figure X here").  These are not required in the 4th
                 edition of the manual and will now by default not appear.
                 (Thanks to Michael Erickson for pointing it out and helping correct this)

                 Defined \appendix* and \appendixes (no difference between the two) 
                 for more than one appendices, to be numbered A, B, C, ...
                 Individual appendices are treated as sections, in the standard LaTeX manner

1.24 --> 1.25
October 20,2000  Added flushend.sty in jou mode (optional)

                 Language portability: abstractname, refname/bibname, acksname, notesname
                                       figurecaptionsname, appendixname, figurename, tablename 

                 Added \apavector based on p. 114 of the APA manual

                 Fixed appendix headings, used old@tabular to center in jou mode
                 \appendix* and \appendices no longer necessary since the number is detected
                  and adjustments are made automatically -- removed, only \appendix remains

July 5, 2001     Do not print "Figure captions" page when there are no figures
                 (added @figure@written definition as flag in endfloat code)

                 Fixed check for Greek language so that \GreekDefs is expanded correctly

                 Changed \uppercase to \MakeUppercase to work in every language

1.25 --> 1.26
February 27,2002:Quick fix for APA manual 5th edition (man mode only): 
                 (a) do not load ulem.sty since italics are OK and no underlining is needed
                 (b) hanging indent in bibliography as in other modes (and apacite default)

                 Removed some calls to \rm that prevented use of the default font family
                 Declared font options: helv for helvetica and tt for typewriter
                 The \helvetica command now only produces a warning to use the helv option

                 Got longtable to work with apa.cls.  Must be used as option to apa.cls
                 and not loaded as regular package (due to precedence requirements for
                 proper endfloat function and cross-definitions).  ONLY for man mode
                 (longtable does not work unless in single-column).  Unfortunately the
                 ifapamode commands won't work to keep a single table body and mode-specific
                 table or longtable environment because if cross-nests with environment
                 begin/end.  In fact the table environment won't even work inside in
                 ifapamode argument, which makes it impossible to have a single file 
                 that can be processed for both man and jou. Defeats the purpose of apa.cls...

                 Sent out as v1.26 to a bunch of users for testing and feedback

1.26 --> 1.27
March 15, 2002:  Commented out forgotten \old@endtabular etc @ ~ l. 720 because the \relax
                 caused an extra line after the end of tabular (thanks to Jacob Feldman
                 for noticing)

1.27 --> 1.28
March 31, 2002:  Fixed appendix headers which were in a tabular parbox centered in a 
                 column shifted right by 4em (the \leftskip of the section header, \leveltwo).  
                 Thanks to Jeff Miller for pointing out the bug.

April 1, 2002:   \@figure@written should be defined globally to be visible at end document
                 Thanks to Olivier Crouzet for noticing that figure captions weren't printing

                 Fixed (I hope) vertical placement of appendix section header by removing
                 extra vertical space (presumably added in the making of the tabular box)

1.28 --> 1.2.9
July 20, 2002:   Changed \columnwidth to \linewidth in the journal format table caption
                 to handle wide captions (thanks to Ragnar Steingrimsson for noticing)

                 Changed \underline to \em in man mode figure caption page for "Figure #."
                 (thanks to Ragnar Steingrimsson for noticing)

                 Changed version numbering to the correct 1.2.x (instead of 1.2x)

                 Now using \refstepcounter to increase appendix number so that appendices
                 can be referenced via label/ref (add \label{app:X} after appendix \section
                 command and reference anywhere in text using Appendix~\ref{app:X})

                 Fixed appendix section title centering by removing tabular intra-box space 

August 21, 2002: Set parsep to 0em for biblist in man mode because some editor complained
                 that the references were separated by more than regular line skip. 
                 (I can't quite thank Steve Finney for bringing it up...).  Then commented
                 out the change because the ref list was much easier to read before.

August 30, 2002: Fix version to 1.3.0 and upload to CTAN

1.3.0 --> 1.3.1
September 24, 2004: Load babel from within apa.cls because it must precede apacite
                    (apacite fixes problems due to incompatibility)

July 23, 2005:   Remove bibliography adjustments now handled by apacite; 
                 Call apacite with [bibnewpage] option in man mode

                 Removed Greek language definitions, to be handled by apacite

                 Added definitions to support distinction in citation form between 
                 regular text (requiring "and") and table captions (requiring "&")

July 25, 2005:   Combined longtable & sideways floats into a single endfloat.cfg

July 26, 2005:   Set txfonts as default typeface for jou mode, if available, after Erik
                 Meijer's suggestion; added notxfonts option in case this is undesirable

                 Added xkeyval support for specifying babel language options;
                 added special babelmain option to specify the main document language

                 Reactivated Greek language definitions for strings defined and used
                 exclusively by apa.cls (Running head, Author note, Figure captions,
                 Footnotes)

                 Removed code long ago commented out, to clean up the file a bit

1.3.1 --> 1.3.2
December 28, 2005: Removed xkeyval and special babel options, because Erik Meijer pointed
                   out that any additional options are automatically passed on to babel
                   without the need for any special action, so one may call apa.cls with
                   \documentclass[man,fignum,babel,greek,english]{apa}, for example, and
                   this loads babel with [greek,english] options, as desired (same order)

                 Added \iint and related definitions that prevent txfonts (loaded by
                 apa.cls automatically) to clash with amsmath (if loaded by the user).
                 The problem was noticed and solved by Erik Meijer, who contributed the 
                 solution code.

                 Incorporated improved definition of apavector, as provided by Erik Meijer,
                 which uses package bm and redefines (upright) Greek letters so that most
                 vector cases are handled appropriately (displayed in bold; or with tilde 
                 at the same distance)

December 30, 2005: Switched to external language strings with the same system as apacite
                   Defined english.apa and greek.apa containing the 4 necessary macros

                 Sent out as beta version (1.3.2b) for some external testing

January 2, 2006: Fixed warning about missing language definitions (thanks to Erik Meijer)
                 Added dutch.apa supplied by Erik Meijer

                 Erik Meijer noticed that tables (tabular environments) in doc mode weren't
                 centered and did not follow the proper citation form (& instead of "and")
                 A special apatabular-style macro was created to fix both problems

January 3, 2006: Tried \@topnum and \@botnum definitions to keep tables from ugly front-page
                 placement in doc mode (noted by Erik Meijer). Decided against it because it
                 messes with placement of acknowledgements on first page.  Since it is unlikely
                 that a manuscript will reference table on the first page, in the rare case 
                 when it happens the author will have to move it manually later in the text.

                 Added separate tabular/endtabular redefinitions for the doc mode, activated
                 through \maketitle after document beginning, to ensure table centering.
                 Might interfere with array.sty if loaded.

January 5, 2006: Added \fiveauthors and \fiveaffiliations, contributed by Aaaron Geller,
                 including corresponding changes to \maketitle for each of the three modes;
                 Completed tests for consistent number of author/affiliation definitions

                 Added \sixauthors and \sixaffiliations, including corresponding changes 
                 to \maketitle and tests for consistent definitions

January 10, 2006: Tried \@topnum=\z@ and \@botnum=\@ne so that tables do not appear on the
                 first page in doc mode (the acknowledgements is the "one" float allowed on
                 the title page, if defined).

1.3.2 --> 1.3.3
August 28, 2008: Added curly braces around the argument of \MakeUppercase in the definitions
                 of \levelone (all 3 modes), as suggested by Nicholas Daly, who noticed that the
                 top level ("Level 5" of APA manual section 3.31, p. 113ff) was not set in
                 uppercase. Apparently this bug can be traced to changing Young Ryu's original
                 \uppercase to \MakeUppercase (and possibly changes to the behavior of the
                 latter through the evolution of LaTeX).

                 Renamed endfloat.cfg to APAendfloat.cfg so that it can be included in the 
                 distributions (putting endfloat.cfg under tex/latex/apa would result it its
                 use with endfloat regardless of document class). apa.cls users are instructed
                 to copy this file to their working document directory and rename locally
                 to endfloat.cfg

November 13, 2008: Fixed a bug in the definition of levelfive that caused the paragraph 
                 following the sectioning command to begin on the next line of the document 
                 if a blank line intervened between the sectioning command and the paragraph
                 text. (The hskip should have been inside the heading argument and not floating
                 at the end of levelfive into @startsection.) Thanks to Nicholas Daly who
                 pointed out the problem.

1.3.2 --> 1.3.4
December 3rd, 2008: Philip Kime added a "noapacite" option to avoid loading apacite and
                 also to avoid changing any bibliography macros so that the class can be used
                 with biblatex and the "bibaltex-apa" style.

%%%%%%%%%%%%%%%%

TO DO FOR v2.0:  Is continuation note at page end required with long tables? (5.21/p. 301)
                 Stop messing with captions and use a standard package (caption2, ccaption)
                 Stop messing with endfloat and use loflot or something for the captions page
                 Use fancyhdr for all headings in all modes (instead of markboth/markright)
                 Appendices should be set in smaller typeface, including headings
                 Tabular footnotes should be automated -- not practical because it varies
                  dont' know how to keep expanding list of footnotes to display at \endtabular
                 Follow manual guidelines for table "Note" vs. probabilities (3.70/p. 170)
                 Wide tables should be turned sideways automatically -- how?
                 Fix Greek definitions according to babel conventions -- check babel docs
                 Clean up the font act -- remove rm/hrm/hsl etc.
                 Use geometry package to set margins taking into account paper size (A4)
                 Add contact information command and field for first page (man mode only)

PROBLEMS:        flushend.sty seems to mess up the last column if there is a float in it.

                 array.sty redefines tabular/endtabular and so it is not compatible with the
                 \apatabular definitions.

                 There may not be enough space on the title page for notes in case of more
                 than four author-affiliation pairs -- need smarter layout setup
